[Pkg-nagios-changes] [pkg-nagios] r2113 - in nagios-plugins/trunk/debian: . source
Jan Wagner
waja at alioth.debian.org
Tue Aug 27 23:07:58 UTC 2013
Author: waja
Date: 2013-08-27 23:07:58 +0000 (Tue, 27 Aug 2013)
New Revision: 2113
Added:
nagios-plugins/trunk/debian/source/repack.sh
Modified:
nagios-plugins/trunk/debian/README.source
Log:
provide informations for repackaging
Modified: nagios-plugins/trunk/debian/README.source
===================================================================
--- nagios-plugins/trunk/debian/README.source 2013-08-26 00:02:29 UTC (rev 2112)
+++ nagios-plugins/trunk/debian/README.source 2013-08-27 23:07:58 UTC (rev 2113)
@@ -1,3 +1,12 @@
We use dpatch for patch handling inside our package(s). Please see
/usr/share/doc/dpatch/README.source.gz (if you have installed dpatch) for
documentation about dpatch.
+
+Since Version 1.5.0 we are repackaging the upstream tarball to stop providing:
+
+ * perlmods/
+ * contrib/
+
+Therefor you should use the script debian/source/repack.sh:
+
+ repack.sh <upstream-tarball>
Added: nagios-plugins/trunk/debian/source/repack.sh
===================================================================
--- nagios-plugins/trunk/debian/source/repack.sh (rev 0)
+++ nagios-plugins/trunk/debian/source/repack.sh 2013-08-27 23:07:58 UTC (rev 2113)
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Borrowed from Raphael Geissert's Debian PHP repack script.
+
+set -e
+
+if [ ! -f "$3" ] && [ ! -f "$1" ]; then
+ echo "This script must be run via uscan or by manually specifying the tarball" >&2
+ exit 1
+fi
+
+tarball=
+
+[ -f "$3" ] && tarball="$3"
+[ -z "$tarball" -a -f "$1" ] && tarball="$1"
+
+tarball="$(readlink -f "$tarball")"
+
+tdir="$(mktemp -d)"
+trap '[ ! -d "$tdir" ] || rm -r "$tdir"' EXIT
+
+tar -xzf $tarball -C $tdir
+cp -a "$tarball" "$tarball.orig"
+distdir="$(basename $(ls -d $tdir/*))"
+srcdir="$tdir/$distdir"
+
+#echo "Adjusting $srcdir/configure"
+sed -i 's/perlmods\/Makefile\ //' $srcdir/configure
+sed -i '/perlmods\/Makefile/d' $srcdir/configure
+#echo "Adjusting $srcdir/Makefile*"
+sed -i 's/\ contrib\ / /' $srcdir/Makefile*
+sed -i 's/perlmods\ //' $srcdir/Makefile*
+#echo "Removing $srcdir/perlmods/ and $srcdir/contrib/"
+rm -rf $srcdir/perlmods/ $srcdir/contrib/
+
+#tarball=$(echo $tarball|sed 's/\.orig\.tar\.gz/+dfsg.orig.tar.gz/')
+tar -cof "${tarball/.gz}" -C $tdir/ $distdir
+gzip -f9 "${tarball/.gz}"
Property changes on: nagios-plugins/trunk/debian/source/repack.sh
___________________________________________________________________
Added: svn:executable
+ *
More information about the Pkg-nagios-changes
mailing list